diff --git a/Makefile b/Makefile
index 3adf379..a10dd82 100644
--- a/Makefile
+++ b/Makefile
@@ -151,11 +151,11 @@ installwww: www
 	$(INSTALL) -m 0444 lowdown.tar.gz $(WWWDIR)/snapshots
 	$(INSTALL) -m 0444 lowdown.tar.gz.sha512 $(WWWDIR)/snapshots
 
-lowdown: liblowdown.a main.o
-	$(CC) -o $@ main.o liblowdown.a $(LDFLAGS) $(LDADD_MD5) -lm $(LDADD)
+lowdown: liblowdown.so main.o compats.o
+	$(CC) -o $@ main.o compats.o -L. -llowdown $(LDFLAGS) $(LDADD_MD5) -lm $(LDADD)
 
 lowdown-diff: lowdown
-	ln -f lowdown lowdown-diff
+	ln -s lowdown lowdown-diff
 
 liblowdown.a: $(OBJS) $(COMPAT_OBJS)
 	$(AR) rs $@ $(OBJS) $(COMPAT_OBJS)
@@ -173,7 +173,7 @@ uninstall:
 		rm -f $(MANDIR)/man$$section/$$name ; \
 	done
 
-install: bins
+install: bins install_libs
 	mkdir -p $(DESTDIR)$(BINDIR)
 	mkdir -p $(DESTDIR)$(MANDIR)/man1
 	mkdir -p $(DESTDIR)$(MANDIR)/man5
@@ -182,7 +182,7 @@ install: bins
 	$(INSTALL_DATA) share/html/* $(DESTDIR)$(SHAREDIR)/lowdown/html
 	$(INSTALL_DATA) share/odt/* $(DESTDIR)$(SHAREDIR)/lowdown/odt
 	$(INSTALL_PROGRAM) lowdown $(DESTDIR)$(BINDIR)
-	$(INSTALL_PROGRAM) lowdown-diff $(DESTDIR)$(BINDIR)
+	ln -s lowdown $(DESTDIR)$(BINDIR)/lowdown-diff
 	for f in $(MAN1S) $(MAN5S) ; do \
 		name=`basename $$f .html` ; \
 		section=$${name##*.} ; \
@@ -225,7 +225,7 @@ install_static: liblowdown.a install_lib_common
 
 uninstall_libs: uninstall_shared uninstall_static
 
-install_libs: install_shared install_static
+install_libs: install_shared
 
 distcheck: lowdown.tar.gz.sha512
 	mandoc -Tlint -Werror man/*.[135]
